View Issue Details

IDProjectCategoryView StatusLast Update
0000887OpenMPT[All Projects] Playback Compatibilitypublic2017-02-12 16:32
ReporterbrucegAssigned ToSaga Musix 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSGentooOS VersionN/A
Product VersionOpenMPT 1.26.06.00 / libopenmpt 0.2-beta20.2 (upgrade first) 
Target VersionOpenMPT 1.26.07.00 / libopenmpt 0.2-beta20.3 (upgrade first)Fixed in VersionOpenMPT 1.26.07.00 / libopenmpt 0.2-beta20.3 (upgrade first) 
Summary0000887: Infinite loop at end of last pattern
Description

The last pattern of "Waiting for a Daydream" by "Liam the Lemming" loops forever when playing in openmpt123. Schism Tracker shows the same behavior, but modplug123/libmodplug does not.

The download link is here: http://amp.dascene.net/downmod.php?index=40729 (index page is http://amp.dascene.net/detail.php?detail=modules&view=4280 )

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2016-11-04 23:51

administrator   ~0002723

Related to this problem, pattern transition actions (only available in OpenMPT) are also triggered too early (on the first iteration) if there is a pattern loop ending on the last row of a pattern.

Saga Musix

Saga Musix

2016-11-05 16:09

administrator   ~0002726

r7345 should fix both the issue with S3M files and the OpenMPT-only issue I described in 0000887:0002723.

Issue History

Date Modified Username Field Change
2016-11-04 22:57 bruceg New Issue
2016-11-04 23:05 Saga Musix Assigned To => Saga Musix
2016-11-04 23:05 Saga Musix Status new => assigned
2016-11-04 23:51 Saga Musix Note Added: 0002723
2016-11-05 01:22 Saga Musix Category libopenmpt => Playback Compatibility
2016-11-05 16:09 Saga Musix Status assigned => feedback
2016-11-05 16:09 Saga Musix Target Version => OpenMPT 1.27.01.00 (upcoming stable)
2016-11-05 16:09 Saga Musix Note Added: 0002726
2016-11-15 00:41 Saga Musix Status feedback => resolved
2016-11-15 00:41 Saga Musix Resolution open => fixed
2016-11-15 00:41 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 (upcoming stable)
2016-11-20 17:51 Saga Musix Fixed in Version OpenMPT 1.27.01.00 (upcoming stable) => OpenMPT 1.26.07.00 / libopenmpt 0.2-beta20.3 (upgrade first)
2016-11-20 17:51 Saga Musix Target Version OpenMPT 1.27.01.00 (upcoming stable) => OpenMPT 1.26.07.00 / libopenmpt 0.2-beta20.3 (upgrade first)